# Ogre::LinkedSkeletonAnimationSource Struct Reference
Animation

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

List of all members.

## Public Member Functions

| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, SkeletonPtr skelPtr)

## Public Attributes

String | skeletonName
SkeletonPtr | pSkeleton
Real | scale

## Detailed Description

Link to another skeleton to share animations.

Definition at line 512 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl
| ) |  |

Definition at line 517 of file OgreSkeleton.h.

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | SkeletonPtr | skelPtr
| ) |  |

Definition at line 519 of file OgreSkeleton.h.

## Member Data Documentation

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

Definition at line 515 of file OgreSkeleton.h.

Real Ogre::LinkedSkeletonAnimationSource::scale

Definition at line 516 of file OgreSkeleton.h.

String Ogre::LinkedSkeletonAnimationSource::skeletonName

Definition at line 514 of file OgreSkeleton.h.

The documentation for this struct was generated from the following file:

- OgreSkeleton.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:18